Subject: Re: bug#64942: closed (Re: bug#64942: 30.0.50; Header Bar remains white in GNOME's Dark Style)

From: Po Lu <[email-masked]>
Date: Mon, 31 Jul 2023 21:54:13 +0800

Utkarsh Singh <[email-masked]> writes:

> I think there is some confusion. Earlier PGTK build

Probably dating from before GNOME implemented their global dark style
option, I presume?  In that case, you must've changed the stylesheet
through a preference that applies to all applications in the past.

> and current GTK+ build

Under X, the window manager provides window decorations, whereas they
are provided by GTK under Wayland.  You witness WM decorations adhering
to your desktop preferences since GNOME's own window manager naturally
respects its own style options.

> changes the title bar color when switching to dark mode in GNOME. I
> thought this was an regression and if not can you please tell more
> about GTK stylesheets.

I suggest installing the GNOME Tweak Tool and changing the stylesheet
used for so-called Legacy Applications (a definite misnomer!) to
Adwaita-dark.